# std::front_insert_iterator::operator=

From cppreference.com
< cpp‎ | iterator‎ | front insert iterator

| (1) |
front_insert_iterator<Container>& operator=( typename Container::const_reference value ); |  | (until C++11)
front_insert_iterator<Container>& operator=( const typename Container::value_type& value ); |  | (since C++11)
front_insert_iterator<Container>& operator=( typename Container::value_type&& value ); | (2) | (since C++11)

Inserts the given value `value` to the container.

1) Results in container->push_front(value)
2) Results in container->push_front(std::move(value))

### Parameters

value | - | the value to insert

### Return value

*this

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/front_insert_iterator/operator%3D&oldid=42392"
Category:

- Todo no example